<profile>
    <div id="form-padding"></div>
    <div class="form small-12">
        <h1 class="text-center">基本資料</h1>
        <div class="input-group">
            <span class="input-group-label"><i class="fa fa-user" style="width: 2em;"></i></span>
            <input class="input-group-field" id="username" type="text" placeholder="客戶名稱" value="{profile.username}">
        </div>
        <div class="input-group">
            <span class="input-group-label"><i class="fa fa-registered" style="width: 2em;"></i></span>
            <input class="input-group-field" id="vat" name="vat" type="text" placeholder="編一編號" value="{profile.vat}">
        </div>
        <div class="input-group">
            <span class="input-group-label"><i class="fa fa-map" style="width: 2em;"></i></span>
            <input class="input-group-field" id="address" name="address" type="text" placeholder="通訊地址" value="{profile.address}">
        </div>
        <div class="input-group">
            <span class="input-group-label"><i class="fa fa-tty" style="width: 2em;"></i></span>
            <input class="input-group-field" id="phone" name="phone" type="text" placeholder="聯絡電話" value="{profile.phone}">
        </div>
        <div class="input-group">
            <span class="input-group-label"><i class="fa fa-envelope-o" style="width: 2em;"></i></span>
            <input class="input-group-field" id="email" name="email" type="email" placeholder="電子郵件" value="{profile.email}">
        </div>
        <div class="text-right"><button data-toggle="passwdPopup" class="button">變更密碼</button> <button id="save-btn" class="button">資料儲存</button></div>
        <div class="text-left">{msg}</div>
    </div>
    
    <div class="reveal" id="passwdPopup" data-reveal data-close-on-click="true" data-animation-in="scale-in-up" data-animation-out="fade-out">
        <h3>&nbsp;</h3>
        <p class='lead'>
          <div class="input-group">
            <span class="input-group-label"><i class="fa fa-lock" style="width: 2em;"></i></span>
            <input class="input-group-field" id="password" type="password" placeholder="新密碼">
          </div>
          <div class="input-group">
            <span class="input-group-label"><i class="fa fa-check-square" style="width: 2em;"></i></span>
            <input class="input-group-field" id="cfm-password" type="password" placeholder="再次確認新密碼" autofocus>
          </div>      
          <div class="text-right"><button class="button">確認變更</button></div>
        </p>
        <button class="close-button" data-close aria-label="Close reveal" type="button">
          <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <style>
        .form h1{
            color: #fff;
            font-size: 1.5em;
            margin-bottom: 1em;
        }
        #form-padding{
            height: 3em;
        }
        .form{
            background: rgba(0, 0, 0, 0.74);
            padding: 2em;
            color: #fff;
        }
        .input-group-field{
          background-color: #333;
          outline: none;
          color: #f8f8f8;
        }
        .input-group-field:focus{
          background-color: #333;
          outline: none;
          color: #f8f8f8;
        }
        
    </style>
    <script>
        var that = this;
        
        this.profile = {
            username: null,
            vat: null,
            address: null,
            phone: null,
            email: null
        };
        
        this.msg = null;
        
        // this.username = null;
        // this.vat = null;
        // this.address = null;
        // this.phone = null;
        // this.email = null;
        
        this.on('mount', function(){
            loadProfile(sessionStorage.getItem("UserId"));
            
            eventBinding();
        });
        function eventBinding(){
            $('#save-btn').on('click', function(e){
                that.profile.username = $('#username').val();
                that.profile.vat = $('#vat').val();
                that.profile.address = $('#address').val();
                that.profile.phone = $('#phone').val();
                that.profile.email = $('#email').val();
                // console.log(that.username.value);
                that.update();
                
                $.ajax({
            	    type: 'PUT',
            	    url: '/api/users/'+sessionStorage.getItem("UserId"),
            	    data: that.profile,
            	    success : function(data) {
                        // $('#updateBtn').fadeOut();
                        that.msg = '資料儲存成功';
                        that.update();
                        setTimeout(function(){
                            that.msg = '';
                            that.update();
                        }, 3000);
            	    },
            	    error: function(data){
            
            	    },
            	    statusCode: {
            			404: function(data) {
            				
            			},
            			461: function(){
            				
            			},
            			401: function(){
            				window.location.href="#/intro";
            			}
            		}
            	});
            });
        }
        function loadProfile(userId){
        	$.ajax({
        	    type: 'GET',
        	    url: '/api/users/'+userId,
        	    success : function(data) {
        	        console.log(data);
        	        if ( data.username == 'undefined')
        	        	data.username = '';
        	        that.profile.username = data.username;
        	        that.profile.vat = data.vat;
                    that.profile.address = data.address;
                    that.profile.phone = data.phone;
        	        that.profile.email = data.email;
        	        
        	        that.update();
        	    },
        	    error: function(data){
        	  // 	$ionicLoading.show({
        			//   template: data.responseJSON.status
        			// });
        			// $timeout( function() {
        			// 	$ionicLoading.hide();
        			// }, 2000);
        	    },
        	    statusCode: {
        			404: function(data) {
        	    
        			},
        			461: function(){
        				
        			},
        			401: function(){
        				window.location.href="#/intro";
        			}
        		}
        	});
        }
        
        
    </script>
</profile>